Aria: ArMapSupplementInterface Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapSupplementInterface Class Reference

`#include <ArMapInterface.h>`

Inheritance diagram for ArMapSupplementInterface:

List of all members.

## Detailed Description

Methods related to miscellaneous extra data in an Aria map.

ArMapSupplementInterface is basically a repository for any pieces of data that do not fit in the other categories (i.e. scan data, map objects, or info). It currently stores the optional latitude/longitude information.

## Public Member Functions
| ArMapSupplementInterface ()
| Default constructor.
virtual double | getOriginAltitude ()=0
| Gets the altitude of the origin; valid only if hasOriginLatLongAlt returns true.
virtual ArPose | getOriginLatLong ()=0
| Returns the latitude/longitude origin; valid only if hasOriginLatLongAlt returns true.
virtual bool | hasOriginLatLongAlt ()=0
| Returns whether this map has an origin specified in latitude/longitude (and altitude).
virtual void | setOriginLatLongAlt (bool hasOriginLatLong, const ArPose &originLatLong, double altitude, ArMapChangeDetails *changeDetails=NULL)=0
| Sets the latitude/longitude and altitude of the origin.
virtual void | writeSupplementToFunctor (ArFunctor1< const char * > *functor, const char *endOfLineChars)=0
| Writes the supplemental data to the given functor.
virtual | ~ArMapSupplementInterface ()
| Destructor.

## Member Function Documentation

virtual double ArMapSupplementInterface::getOriginAltitude | ( |  | ) | `[pure virtual]`

Gets the altitude of the origin; valid only if hasOriginLatLongAlt returns true.

Returns:
  double the altitude (in meters) of the origin

virtual void ArMapSupplementInterface::setOriginLatLongAlt | ( | bool | hasOriginLatLong,
|  | const ArPose & | originLatLong,
|  | double | altitude,
|  | ArMapChangeDetails * | changeDetails = `NULL` |
| ) |  |  | `[pure virtual]`

Sets the latitude/longitude and altitude of the origin.

Parameters:

  | hasOriginLatLong | a bool set to true if the map has latitude/longitude information for the origin
  | originLatLong | the ArPose that specifies the latitude/longitude of the origin
  | altitude | the double altitude (in meters) of the origin
  | changeDetails | a pointer to the optional ArMapChangeDetails in which to store a description of the changes to the scan data; if NULL then the changes are not tracked.

virtual void ArMapSupplementInterface::writeSupplementToFunctor | ( | ArFunctor1< const char * > * | functor,
|  | const char * | endOfLineChars |
| ) |  |  | `[pure virtual]`

Writes the supplemental data to the given functor.

Parameters:

  | functor | the ArFunctor1 to which to write the supplemental data (as text lines)
  | endOfLineChars | the const char * string to be appended to the end of each text line

The documentation for this class was generated from the following file:

- ArMapInterface.h